local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FANTASY_DECORATIONS",
	Name = "DECORATION_NAME",
	Description = "DECORATION_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "LIST_MISC_NAME",
	        BuildingPartList = {
				"DRAGON",
				"CHEST",
				"TARGET",
				"CAMPFIRE",
				"CAMPFIRE_ON_FIRE",
				"BRAZIER_ON_FIRE",
				"LANTERN",
				"SKULLS1",
				"SKULLS2",
				"DOG",
				"CAT",
				"HANGING_CAGES",
				"GUILLOTINE",
				"WOODENGATE_OPEN",
				"WOODENGATE_LOCKED"
			}
		},
		{
			Name = "LIST_LOG_NAME",
			BuildingPartList = {
				"LARGEWOOD1",
				"LARGEWOOD2",
				"LARGEWOOD3",
				"SMALLWOOD1",
				"SMALLWOOD2",
				"SMALLWOOD3",
				"SMALLWOOD4",
				"STUMP"
			}
		},
		{
			Name = "LIST_CRATE_NAME",
			BuildingPartList = {
				"CRATE1",
				"CRATE2",
				"CRATE3",
				"CRATE4",
				"CRATE5",
				"HANDCRATE"
			}
		},
		{
			Name = "LIST_FENCE_NAME",
			BuildingPartList = {
				"FENCE1",
				"FENCE2",
				"FENCE3",
				"FENCE4",
				"FENCE5"
			}
		},
		{
			Name = "LIST_GRAVESTONE_NAME",
			BuildingPartList = {
				"GRAVESTONE1",
				"GRAVESTONE2",
				"GRAVESTONE3",
				"GRAVESTONE4",
				"GRAVESTONE5"
			}
		},
		{
			Name = "LIST_PLANT_NAME",
	        BuildingPartList = {
				"PUMPKIN",
				"STRANGEPLANT",
				"FLOWER_RED",
				"FLOWER_BLUE",
				"FLOWER_YELLOW",
				"FLOWER_ORANGE",
				"FLOWER_PURPLE",
				"FLOWER_PURPLE2",
				"FLOWER_WHITE",
				"FLOWER_PINK",
				"FLOWER_PINK2",
				"FLOWER_TEAL"
			}
        }
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})